Get vIBAN
curl --request GET \
--url https://sandbox-revo-api.raliopay.com/api/v1/account/users/{uid}/accounts/{aid}/virtual-ibans/{vibanId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-revo-api.raliopay.com/api/v1/account/users/{uid}/accounts/{aid}/virtual-ibans/{vibanId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-revo-api.raliopay.com/api/v1/account/users/{uid}/accounts/{aid}/virtual-ibans/{vibanId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"abaRoutingCode": "021000021",
"accountHolder": "Revo Pay Inc.",
"accountId": "4c2b8e5d-1f6a-4e7c-9d3b-2a8f5c1e9b4d",
"accountNumber": "DE89370400440532013000",
"bankName": "Commerzbank AG",
"bic": "COBADEFFXXX",
"createdAt": "2026-05-10T12:34:56.789Z",
"id": "7a1f3c5b-2d8e-4f0a-9b6c-1e3d4f5a6b7c",
"name": "vIBAN Alex",
"rail": "SEPA",
"state": "ACTIVE",
"updatedAt": "2026-05-10T12:34:56.789Z"
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}Virtual IBANs
Get vIBAN
Get a specific vIBAN by ID
GET
/
api
/
v1
/
account
/
users
/
{uid}
/
accounts
/
{aid}
/
virtual-ibans
/
{vibanId}
Get vIBAN
Authorizations
API Key for accessing management endpoints
Response
OK
Example:
"021000021"
Example:
"Revo Pay Inc."
Example:
"4c2b8e5d-1f6a-4e7c-9d3b-2a8f5c1e9b4d"
Example:
"DE89370400440532013000"
Example:
"Commerzbank AG"
Example:
"COBADEFFXXX"
Example:
"2026-05-10T12:34:56.789Z"
Example:
"7a1f3c5b-2d8e-4f0a-9b6c-1e3d4f5a6b7c"
Example:
"vIBAN Alex"
Example:
"SEPA"
Available options:
PENDING, ACTIVE, REJECTED, INACTIVE, IN_PROGRESS Example:
"ACTIVE"
Example:
"2026-05-10T12:34:56.789Z"
⌘I